Package edu.wisc.game.web

## Class LaunchRulesBase.RuleInfo

- java.lang.Object
- - edu.wisc.game.web.LaunchRulesBase.RuleInfo

- Enclosing class:
    LaunchRulesBase

      public static class LaunchRulesBase.RuleInfo
      extends Object

  An auxiliary class that can be used to transmit information about the buttons etc the Android app needs to display

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuleInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getCompleted()` |
    `Vector<String>` | `getDescription()` |
    `String` | `getDisplay()` |
    `int` | `getEpisodeCnt()` |
    `String` | `getExp()` |
    `String` | `getName()` |
    `String` | `getPlayerId()` |
    `void` | `setCompleted​(boolean _completed)` |
    `void` | `setDescription​(Vector<String> _description)` |
    `void` | `setDisplay​(String _display)` |
    `void` | `setEpisodeCnt​(int _episodeCnt)` |
    `void` | `setExp​(String _exp)` |
    `void` | `setName​(String _name)` |
    `void` | `setPlayerId​(String _playerId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleInfo

          public RuleInfo()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String _name)

    - #### getDescription

          public Vector<String> getDescription()

    - #### setDescription

          public void setDescription​(Vector<String> _description)

    - #### getDisplay

          public String getDisplay()

    - #### setDisplay

          public void setDisplay​(String _display)

    - #### getExp

          public String getExp()

    - #### setExp

          public void setExp​(String _exp)

    - #### getCompleted

          public boolean getCompleted()

    - #### setCompleted

          public void setCompleted​(boolean _completed)

    - #### getEpisodeCnt

          public int getEpisodeCnt()

    - #### setEpisodeCnt

          public void setEpisodeCnt​(int _episodeCnt)

    - #### getPlayerId

          public String getPlayerId()

    - #### setPlayerId

          public void setPlayerId​(String _playerId)